# $Revision: 1.25 $, $Date: 2011/05/31 16:50:24 $
Summary:	XFree86-Misc X extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X XFree86-Misc
Name:		xorg-lib-libXxf86misc
Version:	1.0.3
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86misc-%{version}.tar.bz2
# Source0-md5:	6bc0bf78909fd71021c466c793d4385c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86-Misc X extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-Misc.

%package devel
Summary:	Header files for libXxf86misc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXxf86misc
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xf86miscproto-devel

%description devel
XFree86-Misc X extension library.

This package contains the header files needed to develop programs that
use libXxf86misc.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-Misc.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXxf86misc.

%package static
Summary:	Static libXxf86misc library
Summary(pl.UTF-8):	Biblioteka statyczna libXxf86misc
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XFree86-Misc X extension library.

This package contains the static libXxf86misc library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-Misc.

Pakiet zawiera statyczną bibliotekę libXxf86misc.

%prep
%setup -q -n libXxf86misc-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXxf86misc.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXxf86misc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXxf86misc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXxf86misc.so
%{_pkgconfigdir}/xxf86misc.pc
%{_mandir}/man3/XF86Misc*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXxf86misc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXxf86misc.spec,v $
Revision 1.25  2011/05/31 16:50:24  gotar
- removed unused *.la files

Revision 1.24  2011/01/29 00:08:04  sparky
- dropped pre-cvs changelog

Revision 1.23  2010/11/22 19:47:32  qboosh
- updated to 1.0.3

Revision 1.22  2009/11/12 11:30:15  patrys
- rebuild
- rel 2

Revision 1.21  2009/10/09 15:10:53  qboosh
- updated util-macros version
- ghost soname symlink
- added README to doc, more verbose descs

Revision 1.20  2009/10/09 11:12:20  arekm
- up to 1.0.2

Revision 1.19  2008/11/05 23:30:01  arekm
- release 5

Revision 1.18  2008/07/27 23:04:43  arekm
- release 4

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/04/27 15:27:24  arekm
- up to 1.0.1

Revision 1.12  2006/04/17 10:09:21  qboosh
- release 1

Revision 1.11  2005/12/28 14:55:52  qboosh
- sources from X11R7.0 release

Revision 1.10  2005/12/20 14:21:16  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 12:24:51  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.5  2005/10/20 20:42:23  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
